Package be.fgov.ehealth.technicalconnector.ra.builders

# Class ForeignRequestBuilder

java.lang.Object
be.fgov.ehealth.technicalconnector.ra.builders.ForeignRequestBuilder

public final class ForeignRequestBuilder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ForeignerRequest`
  `build()`
  Returns a `ForeignerRequest` built from the parameters previously set.
  `ForeignRequestBuilder`
  `withFirstName(String firstName)`
  Sets the `firstName` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
  `ForeignRequestBuilder`
  `withGeneralEmail(String generalEmail)`
  Sets the `generalEmail` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
  `ForeignRequestBuilder`
  `withGeneralPhone(String generalPhone)`
  Sets the `generalPhone` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
  `ForeignRequestBuilder`
  `withKeyPair(KeyPair keyPair)`
  Sets the `keyPair` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
  `ForeignRequestBuilder`
  `withName(String name)`
  Sets the `name` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
  `ForeignRequestBuilder`
  `withPersonalEmail(String personalEmail)`
  Sets the `personalEmail` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
  `ForeignRequestBuilder`
  `withPersonalPhone(String personalPhone)`
  Sets the `personalPhone` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
  `ForeignRequestBuilder`
  `withSsinBis(String ssinBis)`
  Sets the `ssinBis` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### withName

    public ForeignRequestBuilder withName(String name)
    Sets the `name` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
    Parameters:
      `name` - the `name` to set
    Returns:
      a reference to this Builder

  - ### withFirstName

    public ForeignRequestBuilder withFirstName(String firstName)
    Sets the `firstName` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
    Parameters:
      `firstName` - the `firstName` to set
    Returns:
      a reference to this Builder

  - ### withSsinBis

    public ForeignRequestBuilder withSsinBis(String ssinBis)
    Sets the `ssinBis` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
    Parameters:
      `ssinBis` - the `ssinBis` to set
    Returns:
      a reference to this Builder

  - ### withPersonalEmail

    public ForeignRequestBuilder withPersonalEmail(String personalEmail)
    Sets the `personalEmail` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
    Parameters:
      `personalEmail` - the `personalEmail` to set
    Returns:
      a reference to this Builder

  - ### withPersonalPhone

    public ForeignRequestBuilder withPersonalPhone(String personalPhone)
    Sets the `personalPhone` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
    Parameters:
      `personalPhone` - the `personalPhone` to set
    Returns:
      a reference to this Builder

  - ### withGeneralEmail

    public ForeignRequestBuilder withGeneralEmail(String generalEmail)
    Sets the `generalEmail` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
    Parameters:
      `generalEmail` - the `generalEmail` to set
    Returns:
      a reference to this Builder

  - ### withGeneralPhone

    public ForeignRequestBuilder withGeneralPhone(String generalPhone)
    Sets the `generalPhone` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
    Parameters:
      `generalPhone` - the `generalPhone` to set
    Returns:
      a reference to this Builder

  - ### withKeyPair

    public ForeignRequestBuilder withKeyPair(KeyPair keyPair)
    Sets the `keyPair` and returns a reference to this ForeignRequestBuilder so that the methods can be chained together.
    Parameters:
      `keyPair` - the `keyPair` to set
    Returns:
      a reference to this Builder

  - ### build

    public ForeignerRequest build() throws TechnicalConnectorException
    Returns a `ForeignerRequest` built from the parameters previously set.
    Returns:
      a `ForeignerRequest` built with parameters of this `ForeignerRequest.Builder`
    Throws:
      `TechnicalConnectorException`